# Create or update input mapping between two workflow specifications

Create or update input mapping between two workflow specifications.

Endpoint: PUT /workflow-specs-mappings
Version: 1.0.0
Security: bearer, appkey

## Security:

  - `bearer` (unknown)
    apiKey in header Authorization

  - `appkey` (unknown)
    apiKey in header appkey

## Header parameters:

  - `slb-partition-id` (string, required)
    Data partition id.

## Request body:

  - `application/json` (unknown)
    The request to create or update workflow specification input mapping.

## Request fields (application/json):

  - `fromWorkflowSpec` (object, required)
    A specification reference which allows the API users to specify the version of a specification when creating or updating a parent specification.
    Example: {"id":"01DV2RPKYS5NYBAR6TNMJ8TNT8","version":1}

  - `fromWorkflowSpec.id` (string, required)
    The specification ID.
    Example: 01DV2RPKYS5NYBAR6TNMJ8TNT8

  - `fromWorkflowSpec.version` (integer, required)
    The version of the specification of the given ID.
    Example: 1

  - `inputMappings` (array, required)

  - `inputMappings.fromAddress` (object, required)
    An address used to describe the location of a Spec within a WorkflowSpec. Used to enrich the spec model with additional attributes such as specifying the location of a data container or providing annotations.
    Example: {"type":"DataTypeInput","computationIndex":0,"dataTypeIndex":0}

  - `inputMappings.fromAddress.type` (string, required)
    Whether the address refers to a data-type input, a data-type output or a computation specification.
    Enum: "Invalid", "Computation", "DataTypeInput", "DataTypeOutput", "Workflow"

  - `inputMappings.fromAddress.computationIndex` (integer)
    The zero based index of the Computation Spec.
    Example: 0

  - `inputMappings.fromAddress.dataTypeIndex` (integer)
    The zero based index of a data-type with respect to a computation specification. Inputs and outputs are treated as separate ordered lists.
    Example: 1

## Response 200:

  - `200` (unknown)
    Workflow specification input mapping updated successfully.

## Response 200 fields (application/json):

  - `fromWorkflowSpec` (object, required)
    A specification reference which allows the API users to specify the version of a specification when creating or updating a parent specification.
    Example: {"id":"01DV2RPKYS5NYBAR6TNMJ8TNT8","version":1}

  - `fromWorkflowSpec.id` (string, required)
    The specification ID.
    Example: 01DV2RPKYS5NYBAR6TNMJ8TNT8

  - `fromWorkflowSpec.version` (integer, required)
    The version of the specification of the given ID.
    Example: 1

  - `inputMappings` (array, required)

  - `inputMappings.fromAddress` (object, required)
    An address used to describe the location of a Spec within a WorkflowSpec. Used to enrich the spec model with additional attributes such as specifying the location of a data container or providing annotations.
    Example: {"type":"DataTypeInput","computationIndex":0,"dataTypeIndex":0}

  - `inputMappings.fromAddress.type` (string, required)
    Whether the address refers to a data-type input, a data-type output or a computation specification.
    Enum: "Invalid", "Computation", "DataTypeInput", "DataTypeOutput", "Workflow"

  - `inputMappings.fromAddress.computationIndex` (integer)
    The zero based index of the Computation Spec.
    Example: 0

  - `inputMappings.fromAddress.dataTypeIndex` (integer)
    The zero based index of a data-type with respect to a computation specification. Inputs and outputs are treated as separate ordered lists.
    Example: 1

## Response 201:

  - `201` (unknown)
    Workflow specification input mapping created successfully.

## Response 201 fields (application/json):

  - `fromWorkflowSpec` (object, required)
    A specification reference which allows the API users to specify the version of a specification when creating or updating a parent specification.
    Example: {"id":"01DV2RPKYS5NYBAR6TNMJ8TNT8","version":1}

  - `fromWorkflowSpec.id` (string, required)
    The specification ID.
    Example: 01DV2RPKYS5NYBAR6TNMJ8TNT8

  - `fromWorkflowSpec.version` (integer, required)
    The version of the specification of the given ID.
    Example: 1

  - `inputMappings` (array, required)

  - `inputMappings.fromAddress` (object, required)
    An address used to describe the location of a Spec within a WorkflowSpec. Used to enrich the spec model with additional attributes such as specifying the location of a data container or providing annotations.
    Example: {"type":"DataTypeInput","computationIndex":0,"dataTypeIndex":0}

  - `inputMappings.fromAddress.type` (string, required)
    Whether the address refers to a data-type input, a data-type output or a computation specification.
    Enum: "Invalid", "Computation", "DataTypeInput", "DataTypeOutput", "Workflow"

  - `inputMappings.fromAddress.computationIndex` (integer)
    The zero based index of the Computation Spec.
    Example: 0

  - `inputMappings.fromAddress.dataTypeIndex` (integer)
    The zero based index of a data-type with respect to a computation specification. Inputs and outputs are treated as separate ordered lists.
    Example: 1

## Response 400:

  - `400` (unknown)
    Bad request.

## Response 400 fields (application/json):

  - `data` (object, required)

  - `data.code` (integer, required)
    The HTTP status code.
    Example: 500

  - `data.message` (string)
    The error message.
    Example: internal server error

## Response 401:

  - `401` (unknown)
    Unauthorized.

## Response 401 fields (application/json):

  - `data` (object, required)

  - `data.code` (integer, required)
    The HTTP status code.
    Example: 500

  - `data.message` (string)
    The error message.
    Example: internal server error

## Response 404:

  - `404` (unknown)
    Workflow specification was not found

## Response default:

  - `default` (unknown)
    Unexpected error.

## Response default fields (application/json):

  - `data` (object, required)

  - `data.code` (integer, required)
    The HTTP status code.
    Example: 500

  - `data.message` (string)
    The error message.
    Example: internal server error

